Class | Needle::InterceptorChainBuilder::InterceptorChainElement
In: | lib/needle/interceptor-chain.rb
Parent: | Object

A single element in an interceptor chain. Each interceptor object is wrapped in an instance of one of these. Calling process_next on a given chain element, invokes the process method on the corresponding interceptor, with the next element in the chain being passed in.

### Methods

new next process_next

### Public Class methods

new( interceptor )

Create a new InterceptorChainElement that wraps the given interceptor.

### Public Instance methods

next(=( next_obj ))

Set the next element in the interceptor chain to the given object. This must be either an InterceptorChainElement instance of a ProxyObjectChainElement instance.

process_next( context )

Invokes the process method of the interceptor encapsulated by this object, with the next element in the chain being passed to it.

[Validate]